services:
  forum_manager:
    class: Drupal\forum\ForumManager
    arguments: ['@config.factory', '@entity.manager', '@database', '@string_translation', '@comment.manager']
    tags:
      - { name: backend_overridable }
  forum.breadcrumb.node:
    class: Drupal\forum\Breadcrumb\ForumNodeBreadcrumbBuilder
    arguments: ['@entity.manager', '@config.factory', '@forum_manager']
    tags:
      - { name: breadcrumb_builder, priority: 1001 }
  forum.breadcrumb.listing:
    class: Drupal\forum\Breadcrumb\ForumListingBreadcrumbBuilder
    arguments: ['@entity.manager', '@config.factory', '@forum_manager']
    tags:
      - { name: breadcrumb_builder, priority: 1001 }
  forum.index_storage:
    class: Drupal\forum\ForumIndexStorage
    arguments: ['@database', '@forum_manager']
    tags:
      - { name: backend_overridable }

  forum.uninstall_validator:
    class: Drupal\forum\ForumUninstallValidator
    tags:
      - { name: module_install.uninstall_validator }
    arguments: ['@entity.manager', '@entity.query', '@config.factory', '@string_translation']
    lazy: true
